/**
 * Klevu icon component. Uses Google Material Icons.
 *
 */
export declare class KlevuIcon {
  el: HTMLElement;
  /**
   * Name of the icon. Please use tokens of material icons
   */
  name: string;
  iconURL?: string;
  iconURLSvg?: string;
  svgStyle?: {
    [key: string]: string;
  };
  connectedCallback(): Promise<void>;
  render(): any;
}
